#ifndef _WWDisplayP_h_INCLUDED_
#define _WWDisplayP_h_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "WWDisplay.h"

/*****************************************************************************/
/* 饹                                                              */
/*****************************************************************************/

typedef struct _WWDisplay {

  WWColorMap color_map;
  WWPalette palette[16];
  WWCharacter character[512];
  WWSprite sprite[128];
  WWScreen screen[2];
  WWLCDPanel lcd_panel;

  /* ǥץ쥤° */
  int screen_enable[2]; /* ꡼ɽ֥͡ե饰 */
  int sprite_enable;  /* ץ饤ɽ֥͡ե饰 */
  int sprite_window_enable;  /* ץ饤ȥɥǽ֥͡ե饰 */

  /* ꡼󣲥ɥ⡼ */
  /* 0,1... ̵ 2...ɥ¦ɽ 3...ɥγ¦ɽ */
  int screen2_window_mode;

  int border; /* ܡ顼07Υ顼ޥåֹ */

  int foreground_color; /* ΥեŸο */
  int background_color; /* ΥեŸο */

  int sprite_start; /* ץ饤Ȥλ */
  int sprite_count; /* ץ饤Ȥλ */

} _WWDisplay;

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
